# Class CIM_KVMRedirectionSAP
extends CIM_ServiceAccessPoint

A class derived from Service Access Point, that describes an access point to start the KVM redirection. One access point represents access to a single KVM redirection stream.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_KVMRedirectionSAP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A class derived from Service Access Point, that describes an access point to start the KVM redirection. One access point represents access to a single KVM redirection stream.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
KVMProtocol | uint16 |

Description

string

An enumeration specifying the type of the KVM stream supported on this SAP. In some cases this may be a raw video steam, with the characters having no special meaning. However, in other cases it may support a protocol where some messages have a predefined structure. 0 "Unknown" shall indicate the protocol is unknown. 1 "Other" shall indicate the protocol is specified in OtherKVMProtocol. 2 "Raw" shall indicate the protocol is a raw and uncompressed data stream. 3 "RDP" shall indicate the protocol is the Remote Desktop Protocol. 4 "VNC" shall indicate the protocol is the VNC Protocol.

ModelCorrespondence | string | CIM_KVMRedirectionSAP.OtherKVMProtocol
ValueMap | string | 0, 1, 2, 3, 4, 5..32767, 32768..65535
Values | string | Unknown, Other, Raw, RDP, VNC-RFB, DMTF Reserved, Vendor Specified
OtherKVMProtocol | string |
Description | string | A string describing the KVMProtocol when the value of the KVMProtocol property is set to 1 = "Other".
ModelCorrespondence | string | CIM_KVMRedirectionSAP.KVMProtocol

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement